# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Math/BigInt.pm) perl(Math/ModInt.pm) perl(Role/Basic.pm) perl(Term/ReadLine.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define module_name Math-Logic-Ternary
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: ternary logic and related operations
Group: Development/Perl
License: perl
URL: https://vera.in-ulm.de/ternary-logic/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MH/MHASCH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Math-Logic-Ternary version 0.004
================================

Ternary or three-valued logic is a logic in which there are three
truth values indicating true, false and some third value, often
used to denote uncertainty or indefiniteness.

Ternary logic could be (and has been) implemented in electronic
hardware.  Some nice mathematical properties make it an interesting
alternative to binary logic for the design of digital systems.

This library aims to serve as an experimental kit to explore the
behaviour of basic operations of a ternary computer without having

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

